> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show All Sponsorships

> Shows all sponsorships for a given program ID,
     *          with various filtering, sorting, and pagination options.



## OpenAPI

````yaml get /admin/sponsorships/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/sponsorships/{program_id}:
    get:
      tags:
        - Sponsorships
      summary: Show All Sponsorships
      description: |-
        Shows all sponsorships for a given program ID,
             *          with various filtering, sorting, and pagination options.
      operationId: 8ac3edd574036deb1981d3afc5b4130a
      parameters:
        - name: program_id
          in: path
          description: Program ID to fetch sponsorships for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Sponsorships fetched successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                  length:
                    type: integer
                  filter:
                    type: string
                  program_id:
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````